package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterGroundwater;
import com.lightinit.hsdatashow.entity.StWaterGroundwaterExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterGroundwaterMapper {
    long countByExample(StWaterGroundwaterExample example);

    int deleteByExample(StWaterGroundwaterExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterGroundwater record);

    int insertSelective(StWaterGroundwater record);

    List<StWaterGroundwater> selectByExample(StWaterGroundwaterExample example);

    StWaterGroundwater selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterGroundwater record, @Param("example") StWaterGroundwaterExample example);

    int updateByExample(@Param("record") StWaterGroundwater record, @Param("example") StWaterGroundwaterExample example);

    int updateByPrimaryKeySelective(StWaterGroundwater record);

    int updateByPrimaryKey(StWaterGroundwater record);

    List<StWaterGroundwater> getDiXiaShuiShenAVG(@Param("year") int year,@Param("regionName") String regionName);
}